CLOG2(3)

NAME
clog2, clog2f, clog2l - base-2 logarithm of a complex number

SYNOPSIS
#include <complex.h>

double complex clog2(double complex z);

float complex clog2f(float complex z);

long double complex clog2l(long double complex z);

Link with -lm.

DESCRIPTION
The logarithm is defined as log2(cabs(z))+I*carg(z). Please note that z close to zero will cause an overflow.

CONFORMING TO
The function name is reserved for future use in C99.

AVAILABILITY
Not yet in glibc 2.3.2.

SEE ALSO
cabs(3), cexp(3), clog(3), clog10(3), complex(5)